@media (min-width: 1901px) {
    .main {
        .main__wrapper {
            .main__content {
                .section-slider__wrapper {
                    display: flex;
                    align-items: baseline;
                    gap: 35px;

                    .section__title {
                        margin-bottom: 80px;
                    }

                    section:first-child {
                        margin-top: 0;
                    }

                    .swiper-button-wrapper {
                        position: absolute;
                        top: 85px;
                        right: 0px;
                        z-index: 1;
                    }
                }

                .section__recipes {
                    position: relative;

                    .recipes__slider {
                        height: 520px;
                        width: 710px;
                        margin-left: 0;
                        padding-bottom: 40px;

                        .recipes__list {
                            .recipes__item {
                                overflow: hidden;
                                max-width: 275px;
                                height: 178px;
                            }
                        }
                    }
                }

                .section__articles {
                    position: relative;

                    .section__title-wrapper {

                        padding-right: 0;
                    }

                    .articles__slider {
                        height: 515px;
                        width: 710px;
                        margin-right: 0;
                        padding-bottom: 40px;

                        .articles__list {
                            .articles__item {
                                max-width: 335px;
                            }
                        }
                    }
                }
            }
        }
    }
}

@media (max-width: 1900px) {
    .main {
        .main__wrapper {
            .main__content {
                .section__banner {
                    margin-top: 140px;

                    .banner__slider {
                        .banner__list {
                            .banner__item {
                                width: 690px !important;
                                height: 250px;
                                padding: 40px;
                            }
                        }
                    }
                }

                .description__block {
                    .description__item {
                        padding: 30px;
                    }
                }

                .section__about {
                    .about__wrapper {
                        .about__background {
                            width: 370px;
                        }
                    }
                }
            }

            .about-company__content {
                .section__principles {
                    .principles__wrapper {
                        gap: 30px;

                        .principles__item {
                            padding: 30px 30px;

                            &:last-child {
                                justify-content: center;
                                padding: 26px 26px;
    
                                .principles__item-wrapper {
                                    flex-direction: column;
    
                                    .principles__call {
                                        flex: 0 1 100%;
                                        margin-bottom: 20px;
                                    }
                                }
                            }
                        }
                    }
                }

                .section__premium {
                    .choose__block {
                        margin-bottom: 80px;
                    }
                }
            }
            
            .сard-product__content {
                .card-product__section {
                    .card-product__wrapper {
                        .card-product__carousel {
                            max-width: 511px;
                        }
                    }
                }
            }

            .cabinet__content {
                .section__cabinet {
                    .cabinet__wrapper {
                        .cabinet__information {
                            .cabinet-documents {
                                padding: 40px;
                                gap: 30px;

                                .document-item {
                                    padding: 20px 30px 20px 30px;
                                }
                            }

                            .cabinet-favorites {
                                .catalog__list {
                                    .card__product {
                                        .card__price {
                                            .add-to-basket__button {
                                                width: 104px;
                                                height: 46px;
                                                font-size: 13px;
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }

            .registration__content {
                .section__registration {
                    .registration__wrapper {
                        padding: 50px;
                    }
                }
            }

            .contacts__content {
                .map {
                    height: 920px;
                }
            }
        }
    }
}

@media (max-width: 1560px) {
    .header {
         .header__navigation {
            padding: 0 25px;

            .header__logo {
                padding-right: 27px;

                 .desktop__logo {
                     display: none;
                 }
                 
                 .mobile__logo {
                     display: block;
                 }
            }

            .header__menu {
                padding: 30px;
            }

            .header__search {
                max-width: 240px;
            }
         }
    }

    .main {
        .main__wrapper {
            .main__content {
                .section__showcase {
                    .showcase__list {
                        grid-template-columns: repeat(auto-fill, minmax(170px, 1fr)); 
                        gap: 30px;
                    }
                }
            }

            .contacts__content {
                .section__contacts {
                    left: 170px;
                }
            }
        }
    }
}

@media (max-width: 1360px) {
    .header {
        z-index: 4;

        .header__navigation {
            padding: 0 30px;

            .header__logo {
                padding: 16px 32px 16px 0;
                border-right: 1px solid $gray04;

                .desktop__logo {
                    display: block;
                }
                
                .mobile__logo {
                    display: none;
                }
            }

            .header__menu {
                display: none;
            }

            .header__favorites {
                display: none;
            }

            .header__basket {
                display: none;
            }

            .header__search {
                max-width: 100%;
            }
        }
   }
   
   .main {
        .main__wrapper {
            position: relative;

            .sidebar__navigation__wrapper {
                width: 260px;
                top: 110px;
                height: calc(100% - 170px);
            }

            .sidebar__navigation {
                display: block;
                left: -100%;
                top: 81px;
                position: fixed;
                z-index: 4;
                height: calc(100% - 185px);
                width: min-content;
                padding-bottom: 30px;
                padding-top: 20px;
                border-bottom: 1px solid $gray04;
                transition: 0.4s ease;
                -webkit-box-shadow: 5px 5px 5px -5px rgba(117, 125, 139, 0.6);
                -moz-box-shadow: 5px 5px 5px -5px rgba(117, 125, 139, 0.6);
                box-shadow: 5px 5px 5px -5px rgba(117, 125, 139, 0.6);

                .user__card {
                    display: none;
                }

                .mobile-menu__phone {
                    display: none;
                }
                
                .mobile-callback__button {
                    display: none;
                }
            }

            .sidebar__navigation--show {
                left: 0;
            }

            .mobile__menu {
                display: block;
                left: -100%;
                height: calc(100% - 153px);
                padding-bottom: 30px;
                padding-top: 20px;

                .mobile-menu__navigation {
                    height: calc(100% - 50px);
                    overflow-y: scroll;
                    
                    &::-webkit-scrollbar {
                        height: 0;
                        width: 0;
                        background-color: transparent;
                    }
        
                    &::-webkit-scrollbar-thumb {
                        background-color: transparent;
                        height: 0;
                        width: 0;
                    }
                }
            }

            .mobile__menu--show {
                left: 0;
            }

            .main__content {
                .section__banner {
                    margin-top: 130px;

                    .banner__slider {
                        margin-right: -30px;

                        .banner__list {
                            .banner__item {
                                width: 530px !important;
                                height: 240px;
                            }
                        }
                    }
                }

                .description__block {
                    margin-top: 35px;

                    .description__item {
                        flex-direction: column;
                        text-align: center;
                        padding: 20px 0;
                    }
                }

                .section__recipes {
                    .recipes__slider {
                        .recipes__list {
                            .recipes__item {
                                width: 230px !important;
                                height: 130px;
                                padding: 30px;
                            }
                        }
                    }
                }

                .section__articles {
                    .articles__slider {
                        .articles__list {
                            .articles__item {
                                max-width: 290px;
                            }
                        }
                    }
                }

                .section__about {
                    .about__wrapper {
                        position: relative;
                        gap: 30px;

                        .about__content {
                            .about__button {
                                position: absolute;
                                left: 30px;
                                top: 260px;
                            }
                        }
                    }
                }
            }

            .about-company__content {
                .section__about {
                    .banner__block {
                        padding: 40px 40px;
                    }
                }

                .section__premium {
                    .ceo__block {
                        margin-bottom: 50px;
                    }

                    .choose__block {
                        padding: 36px;
                        margin-bottom: 60px;
                    }
                }
            }

            .basket__content {
                .section__basket {
                    .basket-content__wrapper {
                        .basket__aside {
                            max-width: 270px;
                        }
                    }
                }
            }

            .caralog__content {
                .section__catalog {
                    .catalog__wrapper {
                        .filters__button {
                            display: flex;
                        }
                    }
    
                    .catalog-content__wrapper {
                        display: block;
    
                        .catalog__list {
                            grid-template-columns: 1fr 1fr 1fr 1fr;
                            gap: 20px;
                        }
    
                        .filters__aside {
                            position: fixed;
                            right: -100%;
                            top: 0;
                            z-index: 4;
                            background-color: $gray03;
                            padding: 30px;
                            padding: 30px 50px 30px 30px;
                            max-width: 315px;
                            box-shadow: 0px 0px 20px #757D8B;
                            height: calc(100% - 120px);
                            @include scrollMobile;
                        }

                        .filters__aside--show {
                            right: 0;
                        }
                    }
                }
            }
    
            .сard-product__content {
                .card-product__section {
                    .card-product__wrapper {
                        .card-product__carousel {
                            max-width: 389px;
                        }

                        .card-product__information {
                            padding: 30px 30px;
                        }
                    }
                }
            }

            .cabinet__content {
                .section__cabinet {
                    .cabinet__wrapper {

                        .cabinet__aside {
                            max-width: 295px;
                        }

                        .cabinet__information {
                            .cabinet-documents {
                                padding: 30px;
                                gap: 20px;

                                .document-item {
                                    padding: 15px 25px 15px 25px;
                                }
                            }
                        }
                    }
                }
            }

            .contacts__content {
                .section__contacts {
                    left: 40px;
                }
            }
        } 
    }
    
    .mobile__navigation {
        display: block;
    }

    .checkout-modal {
        padding: 50px 30px 60px 30px;
        width: calc(100% - 100px);
    }

    .successfully-modal {
        position: fixed;
        max-width: 100%;
        height: 100%;
        z-index: 10;
        
        .successfully__wrapper {
            padding: 0 30px;
        }
    }

}

@media (max-width: 1280px) {
    .main {
        .main__wrapper {
            .about-company__content {
                .section__principles {
                    .principles__wrapper {
                        .principles__item {
                            flex-direction: column;
                            align-items: flex-start;

                            &:last-child {
                                flex-direction: inherit;
                            }

                            .principles__icon {
                                width: 40px;
                            }
                        }
                    }
                }
            }

            .registration__content {
                .section__registration {
                    .registration__wrapper {
                        padding: 40px;
                    }
                }
            }

            .cabinet__content {
                .section__cabinet {
                    .cabinet__wrapper {
                        .cabinet__information {
                            .cabinet-favorites {
                                .catalog__list {
                                    gap: 20px;

                                    .card__product {
                                        padding: 20px;

                                        .card__icon {
                                            top: 15px;
                                            left: 10px;
                                        }

                                        .card-favorite__button {
                                            right: 5px;
                                            top: 5px;
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }

            .basket__content {
                .section__basket {
                    .basket-content__wrapper {
                        .basket-list {
                            .page-navigation {
                                flex-wrap: wrap;

                                .page-show-more {
                                    width: 100%;
                                    margin-top: 15px;
                                }
                            }
                        }
                    }
                }
            }
        }
    }

    .checkout-modal {
        height: calc(100% - 300px);

        .checkout__content  {
            .check-content {
                @include scrollMobile;
                padding: 0 20px;
                margin: 0 -20px;
            }

            .registration__block {
                height: calc(100% - 60px); 
            }

            .login__block {
                height: calc(100% - 60px); 
            }

            .without-registration__block {
                height: calc(100% - 60px); 
            }
        }
    }
}

@media (max-width: 1200px) {
    .footer {
        .footer__navigation {
            grid-template-columns: repeat(4,auto);

            .footer__reference {
                display: none;
            }
        }

        .footer-mobile__reference {
            display: grid;
            grid-template-columns: repeat(3,auto);
            justify-content: space-between;
            background-color: $white;
            padding: 30px 30px 90px 30px;

            &:last-child {
                &:hover {
                    color: $blueHover;
                }
            }

            .reference__wrapper {
                display: flex;
                align-items: center;
                gap: 15px;
                transform: 0.4s ease;
                cursor: pointer;

                .reference__content {
                    .reference__title {
                        @include referenceTitle;
                    }

                    .reference__text {
                        @include referenceText;

                        br {
                            display: none;
                        }
                    }
                }

                &:hover {
                    .reference__content {
                        .reference__title {
                            color: $blueHover;
                        }

                        .reference__text  {
                            color: $blueHover;
                        }
                    }
                }

                &:not(:last-child) {
                    margin-bottom: 10px;
                }
            }

            .copyright {
                display: none;
                @include copyright;
            }
        }
    }
}

@media (max-width: 1024px) {
    .main {
        .main__wrapper {
            .cabinet__content {
                .section__cabinet {
                    position: relative;

                    .section__title {
                        text-align: left;
                    }

                    .cabinet__wrapper {
                        flex-direction: column-reverse;
                        gap: 0;

                        .cabinet__aside {
                            max-width: 100%;
                            
                            .cabinet__navigation {
                                white-space: nowrap;
                                flex-direction: inherit;
                                background-color: transparent;
                                overflow-x: scroll;
                                overflow-y: hidden;
	                            -webkit-overflow-scrolling: touch;
                                max-width: 100%;
                                height: auto;
                                gap: 20px;

                                &::-webkit-scrollbar {
                                   overflow: hidden;
                                }

                                &::-webkit-scrollbar-thumb {
                                    overflow: hidden;
                                }

                                .tab-active {
                                    background-color: $blue;
                                    color: $white;
                                    border: 1px solid $blue;
    
                                    .tab-icon {
                                        path {
                                            fill: $white;
                                        }
                                    }
                                }
                            }
                        }

                        .cabinet__information {
                            .cabinet-favorites {
                                .catalog__list {
                                    gap: 40px;

                                    .card__product {
                                        padding: 30px;

                                        .card__icon {
                                            top: 26px;
                                            left: 30px;
                                        }

                                        .card-favorite__button {
                                            right: 15px;
                                            top: 15px;
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

@media (max-width: 992px) {
    .main {
        .main__wrapper {
            .main__content {
                .section__banner {
                    .banner__slider {
                        margin-right: -40px;

                        .banner__list {
                            .banner__item {
                                width: 510px !important;
                                height: 215px;
                                padding: 30px;

                                .slide-info {
                                    margin-bottom: 15px;
                                }

                                .slide-description{
                                    margin-bottom: 25px;
                                }
                            }
                        }
                    }
                }

                .description__block {
                    grid-template-columns: repeat(2, auto);
                    gap: 30px;

                    .description__item {
                        flex-direction: inherit;
                        text-align: left;
                        border-right: none;
                        border-radius: 10px;

                        &:not(:last-child) {
                            border-right: none; 
                        }
                    }
                }

                .section__showcase {
                    .showcase__list {
                        grid-template-columns: repeat(auto-fill, minmax(210px, 1fr)); 
                    }
                }

                .section__about {
                    .about__wrapper {
                        flex-direction: column;

                        .about__background {
                            width: 100%;
                            height: 300px;
                        }

                        .about__content {
                            width: 100%;

                            .about__button {
                                position: static;
                            }
                        }
                    }
                }
            }

            .about-company__content {
                .section__about {
                    .banner__block {
                        padding: 30px 30px;
                    }
                }

                .section__principles {
                    .principles__wrapper {
                        grid-template-columns: 1fr 1fr;

                        .principles__item {
                            position: relative;

                            .principles__icon {
                                position: absolute;
                                top: -20px;
                            }
                        } 
                    }
                }

                .section__premium {
                    .premium__schedule {
                        flex-direction: column;

                        .premium__list {
                            flex: 0 1 100%;

                            &:not(:last-child) {
                                margin-bottom: 40px;
                            }
                        }
                    }

                    .ceo__block {
                        position: relative;
                        padding: 50px 40px 30px;

                        .ceo__photo {
                            width: 60px;
                            position: absolute;
                            top: -40px;
                        }
                    }

                    .choose__block {
                        padding: 30px;
                        margin-bottom: 50px;
                    }
                }
            }

            .basket__content {
                .section__basket {
                    .basket-content__wrapper {
                        flex-direction: column;

                        .basket__aside {
                            display: grid;
                            grid-template-columns: 2fr;
                            justify-content: space-between;
                            max-width: 100%;
                            gap: 30px;

                            .information__item {
                                &:nth-child(1) {
                                    order: 3;  
                                    margin-bottom: 0;
                                }
    
                                &:nth-child(2) {
                                    order: 1;
                                    grid-column: 1/3; 
                                    justify-content: space-between;
                                    gap: 30px;
                                }
    
                                &:nth-child(3) {
                                    order: 2;
                                }
                            }
                           
                            .information-additional {
                                display: flex;
                                margin-bottom: 0;

                                .information-additional__item {
                                    flex-direction: column;
                                    text-align: center;
                                    gap: 20px;

                                    &:not(:last-child) {
                                        margin-bottom: 0;
                                    }
                                }
                            }

                            .information-service {
                                .information-service__block-wrapper {
                                    display: flex;
                                    align-items: center;

                                    .information-service__image-wrapper {
                                        display: none;
                                    }
                                }
                            }
                        }
                    }
                }
            }

            .caralog__content {
                .section__catalog {
                    .catalog-content__wrapper {
                        .catalog__list {
                            grid-template-columns: 1fr 1fr 1fr;
                        }

                        .filters__aside {
                            padding: 30px 30px 30px 30px;
                        }
                    }
                }
            }

            .сard-product__content {
                .card-product__section {
                    .card-product__wrapper {
                        flex-direction: column;
                    }
                }
            }

            .cabinet__content {
                .section__cabinet {
                    .cabinet__wrapper {
                        .cabinet__information {
                            .cabinet-favorites {
                                .catalog__list {
                                    gap: 15px;

                                    .card__product {
                                        padding: 20px;

                                        .card__icon {
                                            top: 15px;
                                            left: 20px;
                                        }

                                        .card-favorite__button {
                                            top: 10px;
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }

            .contacts__content {
                .section__contacts {
                    position: sticky;
                    left: 0;
                    top: 120px;
                    width: 100%;
                    background-color: transparent;
                    box-shadow: none;
                    
                    .contacts-title {
                        padding: 0;

                        .breadcrumbs {
                            margin-bottom: 30px;
                        }

                        .section__title {
                            text-align: left;
                            margin-bottom: 50px;
                        }
                    }  

                    .contacts-сities {
                        border-top: none;
                        margin-bottom: 30px;

                        .city__wrapper {
                            padding: 0;
                           
                            .city__title {
                                display: none;
                            }

                            .city__list {
                                flex-direction: inherit;
                                gap: 20px;
                                overflow-y: auto;
                                overflow-x: scroll;
                                height: auto;

                                &::-webkit-scrollbar {
                                    width: 0;
                                    border-radius: 0;
                                    background-color: transparent;
                                }
    
                                &::-webkit-scrollbar-thumb {
                                    border-radius: 0;
                                    background-color: transparent;
                                }

                                .city--active {
                                    font-weight: 700;
                                    font-size: 16px;
                                    color: $white;
                                    background-color: $blueHover;
                                    border: 2px solid $blueHover;
                                }
                            }
                        }
                    }

                    .contacts__content {
                        padding: 0;
                        background-color: $white;
                        border-radius: 10px;
                        border-top: none;
                        box-shadow: 0px 0px 20px rgba(64, 75, 95, 0.05), 0px 30px 30px -15px rgba(0, 0, 0, 0.1);
                        backdrop-filter: blur(5px);

                        .addresses__block {
                            .city__title {
                                display: none;
                            }

                            .addresses__list {
                                display: grid;
                                grid-template-columns: 1fr 1fr;
                                gap: 30px;

                                .reference__wrapper {
                                    border: 1px solid $gray04;
                                    border-radius: 10px;
                                    padding: 20px;

                                    &:not(:last-child) {
                                        margin-bottom: 0;
                                    }
                                }
                            }
                        }
                    }
                }

                .map {
                    height: 600px;
                    margin-bottom: 60px;

                    .ymaps-2-1-79-map {
                        height: 800px;
                        top: 0;
                    }
                }
            }
        }
    }

    .footer {
        .footer__navigation {
            grid-template-columns: repeat(3,auto);
            justify-content: space-between;

            .footer__company {
                display: grid;
                grid-template-columns: repeat(2,auto);
                grid-column: 1/4;
                align-items: center;
                margin-bottom: 20px;

                .copyright {
                    display: none;
                }
            }
        }

        .footer-mobile__reference {
            display: block;

            .copyright {
                display: grid;
                grid-template-columns: repeat(2,auto);
                justify-content: space-between;
            }

            .reference__wrapper {
                display: none;
            }
        }

    }

    // modal windows // 

    .checkout-modal {
        .checkout__tabs {
            .checkout__tabs-wrapper {
                gap: 30px;
            }
        } 
    }

    .offer-price__modal {
        left: 50%;
        transform: translate(-50%, -50%);
    }

    .offer-price__modal--show {
        top: 50%;
    }
}

@media (max-width: 768px) {
    .header {
        .header__navigation {
            .header__logo {
                .desktop__logo {
                    width: 186px;
                }
            }

            .header__search {
                margin-left: 20px;
            }
        }
    }

    .main {
        .main__wrapper {
            .main__content {
                .section__banner {
                    margin-top: 120px;

                    .banner__slider {
                        margin-right: -30px;

                        .banner__list {
                            .banner__item {
                                width: 450px !important;
                                height: 220px;
                            }
                        }
                    }
                }

                .description__block {
                    .description__item {
                        flex-direction: column;
                        text-align: center;
                    }
                }


            }

            .basket__content {
                .section__basket {
                    .basket-content__wrapper {
                        .basket__aside {
                            .information-order {
                                .information-order__title {
                                    padding: 20px;
                                }

                                .information-order__description {
                                    padding: 20px;
                                }

                                .information-order__order {
                                    padding: 20px;
                                }
                            }

                            .information-additional {
                                .information-additional__item {
                                    padding: 20px;
                                }
                            }

                            .information-service {
                                padding: 20px;
                            }
                        }
                    }
                }
            }

            .caralog__content {
                .section__catalog {
                    .catalog__wrapper {
                        flex-direction: column;
                        margin-bottom: 30px;
                    }
                    .catalog-content__wrapper {
                        .catalog__list {
                            grid-template-columns: 1fr 1fr;

                            .card__product {
                                max-width: 100%;
                            }
                        }
                    }
                }
            }

            .cabinet__content {
                .section__cabinet {
                    .cabinet__wrapper {
                        .cabinet__information {
                            .cabinet-documents {
                               grid-template-columns: 1fr;
                               padding: 20px;

                               .document-item {
                                    padding: 10px 20px 10px 20px;

                                    .document__content {
                                        .document__wrapper {
                                            gap: 10px;
                                        }
                                    }
                                }
                            }

                            .cabinet-favorites {
                                .catalog__list {
                                    grid-template-columns: 1fr 1fr;
                        
                                    .card__product {
                                        max-width: 100%;
                                        padding: 30px;
                                    }
                                }
                            }
                        }
                    }
                }
            }

            .registration__content {
                .section__registration {
                    .registration__wrapper {
                        padding: 30px; 
                    }
                }
            }

            .contacts__content {
                .section__contacts {
                    .contacts-сities {
                        margin-bottom: 0px;
                    }

                    .contacts-title {
                        .section__title {
                            text-align: center;
                            margin-bottom: 40px;
                        }
                        
                    }
                    .contacts__content {
                        background-color: transparent;
                        padding-top: 20px;
                        box-shadow: none;
                        backdrop-filter: none;

                        .addresses__block {
                            padding: 0;

                            .addresses__list {
                                .reference__wrapper {
                                    flex-direction: column;
                                    align-items: baseline;
                                    gap: 10px;
                                    background-color: $white;
                                    border: none;
                                }
                            }
                        }
                        
                    }
                }

                .map {
                    margin-bottom: 100px;
                }
            }

            .сard-product__content {
                .card-product__section {
                    .card-product__wrapper {
                        .card-product__carousel {
                            max-width: 100%;
                            width: auto;
                            height: auto;
                            border-right: 0;
                            border-bottom: 1px solid #e4e8f0;

                            .maxcarouselSlider {
                                height: auto;
                            }
                        }
                    }
                }
            }

        }
    }

     // modal windows // 

     .checkout-modal {
        .checkout__tabs {
            position: relative;

            .checkout__tabs-wrapper {
                white-space: nowrap;
                flex-direction: inherit;
                background-color: transparent;
                overflow-x: scroll;
                overflow-y: hidden;
                -webkit-overflow-scrolling: touch;
                max-width: 100%;
                height: auto;
                gap: 20px;

                &::-webkit-scrollbar {
                    width: 0;
                    border-radius: 0;
                    background-color: transparent;
                }

                &::-webkit-scrollbar-thumb {
                    border-radius: 0;
                    background-color: transparent;
                }
            }

            .offer-price__close {
                position: absolute;
                top: -40px;
                left: 50%;
            }

            .check-active {
                background-color: $blue;
                color: $white;
                border-bottom: none;
            }
        }
        
        .checkout__content  {
            .registration__block {
                height: calc(100% - 80px);
            }

            .login__block {
                height: calc(100% - 50px);
            }

            .without-registration__block {
                height: calc(100% - 80px); 
            }
        }
    }
}

@media (max-width: 576px) {
    .header {
        .header__navigation {
            padding: 0 15px;

            .header__logo {
                padding: 25px 17px 25px 0;

                .desktop__logo {
                    display: none;
                }

                .mobile__logo {
                    display: block;
                }
            }

            .header__search {
                margin-left: 15px;
                margin-right: 15px;
            }

            .header__phone {
                display: flex;
                padding: 28px 0;
                margin-right: -15px;
                border-left: 1px solid $gray04;
                border-right: none;
            }
        }
    }

    .main {
        .main__wrapper {
            .main__content {
                .section__banner {
                    margin-top: 110px;

                    .banner__slider {
                        margin-right: -20px;

                        .banner__list {
                            .banner__item {
                                width: 300px !important;
                                height: 210px;
                                padding: 20px;

                                .slide-info {
                                    gap: 15px;
                                }

                                .slide-description {
                                    br {
                                        display: none;
                                    }
                                }
                            }
                        }
                    }
                }

                .description__block {
                    grid-template-columns: repeat(1, auto);
                    gap: 20px;
                    
                    .description__item {
                        flex-direction: inherit;
                        text-align: left;
                        justify-content: flex-start;
                        padding-left: 20px;
                    }
                }

                .section__showcase {
                    .showcase__list {
                        grid-template-columns: repeat(auto-fill, minmax(150px, 1fr)); 
                        gap: 20px;

                        .showcase__item {
                            padding-top: 0px;
                            padding-bottom: 20px;

                            .showcase__image {
                                width: 120px;
                            }
                        }
                    }
                }

                .section__about {
                    .about__wrapper {
                        .about__background {
                            height: 240px;
                        }
                    }
                }

                .section__articles {
                    .articles__slider {
                        .articles__list {
                            .articles__item {
                                max-width: 330px;
                            }
                        }
                    }
                }

                .section__partners {
                    margin-bottom: 90px;
                }
            }

            .about-company__content {
                .section__about {
                    .banner__block {
                        padding: 20px 20px;
                    }
                }
                
                .section__principles {
                    .principles__wrapper {
                        grid-template-columns: 1fr;

                        .principles__item {
                            flex-direction: inherit;
                            padding: 20px 20px;

                            .principles__icon {
                                position: static;
                            }

                            &:last-child {
                                padding: 20px 20px;
                                justify-content: space-between;

                                .principles__item-wrapper {
                                    flex-direction: inherit;
                                    justify-content: space-between;
                                    width: 100%;

                                    .principles__call {
                                        flex: 0 1 36%;
                                        text-align: left;
                                        margin-bottom: 0;
                                    }
                                }
                            }
                        }
                    }
                }

                .section__premium {
                    .premium__schedule {
                        .premium__list {
                            &:not(:last-child) {
                                margin-bottom: 25px;
                            }
                        }
                    }

                    .ceo__block {
                        padding: 50px 25px 25px;
                        margin-bottom: 40px;
                    }

                    .choose__block {
                        position: relative;
                        padding: 40px 30px 30px 30px;
                        margin-bottom: 40px;

                        .choose__icon {
                            position: absolute;
                            top: -30px;
                        }
                    }
                }
            }

            .basket__content {
                .section__basket {
                    .basket__wrapper {
                        flex-direction: column;
                    }

                    .basket-content__wrapper {
                        .basket__aside {
                            display: none;
                        }
                    }
                }
            }

            .сard-product__content {
                .card-product__section {
                    .card-product__wrapper {
                        .card-product__information {
                            padding: 20px;

                            .card-info__price-formation {
                                justify-content: space-between;
                                gap: 0;
                            }

                            .card-info__interaction {
                                gap: 15px;  
                            }
                        }
                    }
                } 
            }

            .cabinet__content {
                .section__cabinet {
                    .section__title {
                        text-align: center;
                    }

                    .cabinet__wrapper {
                        .cabinet__information {
                            .cabinet-data {
                                grid-template-columns: 1fr; 
                            }

                            .cabinet-favorites {
                                .catalog__list {
                                    .card__product {
                                        padding: 15px;
                                    }
                                }
                            }
                        }

                        .cabinet__aside {
                            margin-bottom: 40px;

                            .cabinet__navigation {
                                flex-direction: column;
                                gap: 0;
                                
                                .cabinet__tab {
                                    border-radius: 0;
                                    background-color: $white;

                                    &:first-child {
                                        border-top-left-radius: 10px;
                                        border-top-right-radius: 10px;
                                    }

                                    &:last-child {
                                        border-bottom-left-radius: 10px;
                                        border-bottom-right-radius: 10px;
                                    }
                                }

                                .tab-active {
                                    background-color: $gray02;
                                    color: $blueHover;
                                    border: 1px solid $gray04;
                                    
                                    .tab-icon {
                                        path {
                                            fill: $blueHover;
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }

            .registration__content {
                .section__registration {
                    .registration__wrapper {
                        padding: 30px;
                    }
                }
            }

            .contacts__content {
                .section__contacts {
                    top: 100px;

                    .contacts-title  {
                        .breadcrumbs {
                            margin-bottom: 15px;
                        }

                        .section__title {
                            margin-bottom: 30px;
                        }
                    }

                    .contacts__content {
                        padding-top: 10px;
                        
                        .addresses__block {
                            .addresses__list {
                                grid-template-columns: 1fr;
                                gap: 15px;

                                .reference__wrapper {
                                    flex-direction: inherit;
                                    align-items: center;
                                }
                            }
                        }
                    }
                }

                .map {
                    margin-bottom: 130px;
                }
            }
        }
    }

    .footer {
        .footer__navigation {
            display: flex;
            flex-direction: column;

            .footer__company {
                grid-template-columns: repeat(1,auto);
                justify-content: center;
                text-align: center;
                margin-bottom: 0;
            }

            .footer__menu {
                display: none;
            }

            .footer__menu__wrapper {
                display: grid;
                grid-template-columns: repeat(3, auto);
                gap: 80px;
                overflow-x: scroll;
                width: 100%;
                padding-bottom: 20px;

                &::-webkit-scrollbar {
                    height: 5px;
                    border-radius: 10px;
                    background-color: transparent;
                }

                &::-webkit-scrollbar-thumb {
                    border-radius: 0;
                    background-color: $yellow01;
                }

                .footer__menu {
                    display: flex;
                }
            }
        }

        .footer-mobile__reference {
            .copyright {
                grid-template-columns: repeat(1, auto);
                gap: 5px;
                justify-content: center;
            }
        }
    }

    .mobile__navigation {
        .mobile-nav__list {
            .mobile-nav__button  {
                flex: 0 0 20%;

                &:last-child {
                    display: none;
                }
            }
        }
    }

    .offer-price__modal {
        max-width: 270px;

        .offer-price__form {
            grid-template-columns: 1fr;
        }
    }

    .checkout-modal {
        padding: 50px 20px 20px 20px;
        width: calc(100% - 40px);
        height: 100%;

         .checkout__content  {
            .registration__block {
                height: calc(100% - 255px);
            }

            .login__block {
                height: calc(100% - 200px);
            }

            .without-registration__block {
                height: calc(100% - 250px); 
            }
        }
    }

    .checkout-modal--active {
        top: 0;
    }

    .callback__modal {
        padding: 20px;
        width: 310px;

        .callback-modal__form {
            gap: 20px;
        }
    }

    .callback-modal__submitted {
        padding: 20px;
        width: 310px;
    }

    .successfully-modal {
        .successfully-modal__close {
            top: 30px;
            right: 30px;
        }
    }

    .order-placed-modal {
        max-width: 100vh;
        height: 100%;
        z-index: 6;

        .offer-price__close {
            right: 65px;
            top: 65px;
        }
    }
}

@media (max-width: 425px) {
    .main {
        .main__wrapper {
            .sidebar__navigation__wrapper {
                width: 340px;
            }

            .about-company__content {
                .section__principles {
                    .principles__wrapper {
                        .principles__item {
                            &:last-child {
                                padding: 15px 15px;
                                
                                .principles__item-wrapper {
                                    flex-direction: column;
                                    
                                    .principles__call {
                                        flex: 0 1 100%;
                                        text-align: center;
                                        margin-bottom: 15px;
                                    }
                                }
                            }
                        }
                    }
                }
            }

            .caralog__content {
                .section__catalog {
                    .catalog-content__wrapper {
                        .catalog__list {
                            grid-template-columns: 1fr;

                            .card__product {
                                max-width: 100%;
                                padding: 20px;
                            }
                        }
                    }
                }
            }

            .сard-product__content {
                .card-product__section {
                    .card-product__wrapper {
                        .card-product__information {
                            position: relative;

                            .card-info__price-formation {
                                flex-direction: column;
                                align-items: baseline;
                                margin-bottom: 20px;
                            }

                            .card-info__interaction {
                                flex-direction: column;
                                gap: 20px;

                                .add-to-favorites__button {
                                    position: absolute;
                                    top: 10px;
                                    right: 20px;
                                }
                            }
                        }
                    }
                } 
            }

            .cabinet__content {
                .section__cabinet {
                    .cabinet__wrapper {
                        .cabinet__information {
                            .cabinet-favorites {
                                .catalog__list {
                                    grid-template-columns: 1fr;
                        
                                    .card__product {
                                        max-width: 100%;
                                        padding: 30px;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

@media (max-width: 375px) {
    body {
        width: 375px;
    }
}

// sidebar navigation menu // 

@media (min-width: 768px) and (max-width: 992px) {
    .main {
        .main__wrapper {
            .сard-product__content {
                .card-product__section {
                    .card-product__wrapper {
                        .card-product__carousel {
                            display: flex;
                            position: relative;
                            max-width: 100%;
                            width: auto;
                            height: 440px;
                            border-right: 0;
                            border-bottom: 1px solid #e4e8f0;
                    
                            .swiper {
                                margin-left: 0;
                                margin-right: 0;
                            }
                    
                            .maxcarouselSlider {
                                height: 100%;
                                max-width: 520px;
                                width: 100%;
                            }
                    
                            .minicarouselSlider {
                                height: 100%;
                                max-width: 220px;
                                width: 100%;
                                margin-right: 20px;
                    
                                .swiper-wrapper {
                                    .swiper-slide {
                                        .product-carousel__image {
                                            width: 220px;
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

@media (min-width: 1361px) and (max-width: 1560px ) {
    .main {
        .main__wrapper {
            .sidebar__navigation {
                position: absolute;
                z-index: 2;
                height: 100%;
                overflow: scroll;

                &::-webkit-scrollbar {
                    width: 0;
                    border-radius: 0;
                    background-color: transparent;
                }

                &::-webkit-scrollbar-thumb {
                    border-radius: 0;
                    background-color: transparent;
                }
            }

            .mini-sidebar__navigation {
                position: absolute;
                padding: 0 22px;
                min-width: 65px;
                height: 100%;

                .sidebar__navigation__wrapper {
                    width: 65px;
                }

                .user__card {
                    justify-content: center;
                    background-color: transparent;
                    padding: 0;
                    gap: 0;
                    margin: 60px 0;

                    &:hover {
                        background-color: transparent;
                    }

                    .message-quantity {
                        top: -10px;
                        right: 0;
                    }

                    .user__info {
                        .account-wrapper {
                            display: none;
                        }
                    }
                }

                .accordion__menu {
                    .accordion {
                        width: 64px;

                        .accordion-label {
                            .label-icon {
                                margin-right: 0;
                            }

                            .label-title {
                                display: none;
                            }

                            &::after {
                                display: none;
                            }
                        }

                        .accordion-content {
                            display: none;
                        }
                    }
                }

                .mobile-menu__phone {
                    display: none;
                }

                .mobile-callback__button {
                    display: flex;
                    width: 100%;

                    .mobile-callback__icon {
                        display: block;
                    }

                    .mobile-callback__text {
                        display: none;
                    }

                }
            }
        }
    }
}

@media (min-width: 576px) and (max-width: 2500px) {
    .cabinet__aside--hide {
        display: block !important;
    }

    .cabinet__information--hide {
        display: block !important;
    }

    .cabinet__wrapper__button--active {
        display: none !important;
    }


}

